# Server.Type
Date: 2018-01-28

IRC

## Enum Server.Type

- java.lang.Object
- - java.lang.Enum<Server.Type>
  - - IRC.Server.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Server.Type>

Enclosing class:
  Server

    private static enum Server.Type
    extends java.lang.Enum<Server.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTRE`
`IRC`

### Method Summary

All Methods Static Methods Concrete Methods
`static Server.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Server.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IRC

    public static final Server.Type IRC

#### AUTRE

    public static final Server.Type AUTRE

### Method Detail

#### values

    public static Server.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Server.Type c : Server.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Server.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null